#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "UObject/ScriptInterface.h"
#include "LobbyLoadoutViewInterface.generated.h"

class ILoadoutViewInterface;

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API ULobbyLoadoutViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API ILobbyLoadoutViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void UpdatePresetData(const TArray<int32>& presetData, const int32 selectedPreset);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	TScriptInterface<ILoadoutViewInterface> GetLoadoutViewInterface() const;

};
